
  .compare-table {
    overflow: hidden; 
    width: 100%;
  }

  .compare-table__scroller {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    position: relative;
    scrollbar-width: thin;
  }
  .compare-table__scroller::-webkit-scrollbar { height: 8px; }
  .compare-table__scroller::-webkit-scrollbar-thumb {
    border-radius: 999px;
  }

  .compare-table__scroller:after {
    content: "";
    pointer-events: none;
    position: sticky;
    right: 0; top: 0; bottom: 0;
    width: 24px;
    display: block;
  }

  .compare-table__grid {
    min-width: 860px; 
    display: grid;
    grid-template-columns: 1fr 1fr 1fr; 
  }

  .compare-table__cell {
    border-right: 1px solid rgba(50, 48, 47, 0.10);
    border-bottom: 1px solid rgba(50, 48, 47, 0.10);
    padding: 24px
  }

  .compare-table__item{
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .compare-table__head {
    border-right:unset;
    padding-top: 14px;
    padding-bottom: 46px;
  }
  .compare-table__head-border{
    border-right: 1px solid rgba(50, 48, 47, 0.10);
    border-left: 1px solid rgba(50, 48, 47, 0.10);

  }

  .compare-table__product {
    display: grid;
    grid-template-columns: 1fr;
    gap: 8px;
    align-items: center;
    justify-items: center;
  }

  .compare-table__product-img {
    width: 160px;
    max-width: 100%;
    height: auto;
    display: block;
    object-fit: contain;
    filter: drop-shadow(0 3px 12px rgba(0,0,0,0.06));
  }

  .compare-table__product-name {
    text-align: center;
    white-space: nowrap;
  }

  .compare-table__cell-no-border-bot{
    border-bottom: unset;
  }
  .compare-table__cell-no-border-right{
    border-right: unset;
  }
  
  @media (min-width: 1024px) {
    .compare-table__grid {
      min-width: unset;
    }
    .compare-table__product-img {
      width: 100%;
    }
  }

  @media (max-width: 1024px) {
      .compare-table__cell{
        padding: 15px;
        display: flex;
        align-items: center;
      }
      .compare-table__head{
        padding: 16px 13px;
        padding-bottom: 35px;
        display: block;
      }
      .compare-table{
        padding: 24px 16px;
      }
      .compare-table__grid{
        min-width: 598px;
      }
  }


